Mailinglist Archive: opensuse-softwaremgmt (12 mails)

< Previous Next >
Re: [softwaremgmt] [zypper 0.6.13]: Exclude packages from being upgraded?
  • From: "Duncan Mac-Vicar P." <dmacvicar@xxxxxxx>
  • Date: Mon, 27 Aug 2007 18:02:34 +0200
  • Message-id: <200708271802.34644.dmacvicar@xxxxxxx>
On Monday 27 August 2007 02:19:12 pm Lars Behrens wrote:
> Hi there,
>
> does anyone know a way to keep zypper from upgrading particular packages?
>
> Usually we're using "zypper -t update -t package -y"
>
> TIA!
>
> Cheerz Lars

Only if you are using factory or 10.3 betas, look for this line in the 
changelog:

Thu Aug  9 13:33:59 CEST 2007 - dmacvicar@xxxxxxx

- Add persistent locks file which allow wildcards. Users
  can lock certain packages adding lines like "kde* < 3.5"

Then you can specify wildcards like that in /etc/zypp/locks and those packages 
will be locked for the solver.

Duncan
-- 
To unsubscribe, e-mail: opensuse-softwaremgmt+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-softwaremgmt+help@xxxxxxxxxxxx

< Previous Next >
List Navigation
References